Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Process_Element_T.cpp File Reference

`#include "Process_Element_T.h"`
`#include "Old_Config_Handlers/Config_Error_Handler.h"`
`#include "ace/Auto_Ptr.h"`
`#include "Utils.h"`
`#include <iostream>`
`#include <memory>`

Include dependency graph for Process_Element_T.cpp:

## Classes
class | parser_error
## Functions
template<typename DATA, typename OBJECT, typename SEQUENCE, typename FUNCTION>
bool | process_sequence_local (DOMDocument *doc, DOMNodeIterator *iter, DOMNode *node, XStr &node_name, const char *name, SEQUENCE &seq, OBJECT *obj, FUNCTION func)
template<typename DATA, typename OBJECT, typename SEQUENCE, typename FUNCTION>
bool | process_sequence_remote (DOMDocument *doc, DOMNodeIterator *iter, DOMNode *node, XStr &node_name, const char *name, SEQUENCE &seq, FUNCTION func, REF_MAP &id_map)
template<typename DATA, typename SEQUENCE, typename FUNCTION>
bool | process_sequence_common (DOMDocument *doc, DOMNodeIterator *iter, DOMNode *node, XStr &node_name, const char *name, SEQUENCE &seq, FUNCTION func, REF_MAP &id_map)
template<typename DATA, typename OBJECT, typename ELEMENT, typename FUNCTION>
bool | process_element (DOMDocument *doc, DOMNodeIterator *iter, DOMNode *node, XStr &node_name, const char *name, ELEMENT &elem, OBJECT *obj, FUNCTION func, REF_MAP &id_map)
template<typename DATA, typename OBJECT, typename ELEMENT, typename FUNCTION>
bool | process_element_remote (DOMDocument *doc, DOMNodeIterator *iter, DOMNode *node, XStr &node_name, const char *name, ELEMENT &elem, FUNCTION func, REF_MAP &id_map)
template<typename VALUE, typename DATA>
void | process_element_attributes (DOMNamedNodeMap *named_node_map, DOMDocument *doc, DOMNodeIterator *iter, VALUE value, DATA &data, Process_Function< DATA > *func, REF_MAP &id_map)
template<typename SEQUENCE, typename DATA>
void | process_sequential_element (DOMNode *node, DOMDocument *doc, DOMNodeIterator *iter, SEQUENCE &seq, Process_Function< DATA > *func, REF_MAP &id_map)

## Detailed Description

Id
  Process_Element_T.cpp,v 1.2 2005/03/20 19:55:09 jai Exp

Author:
  Emre Turkay <turkaye@dre.vanderbilt.edu> Jaiganesh Balasubramanian <jai@dre.vanderbilt.edu>

## Function Documentation

template<typename DATA, typename OBJECT, typename ELEMENT, typename FUNCTION>
bool process_element | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | DOMNode * | node,
|  | XStr & | node_name,
|  | const char * | name,
|  | ELEMENT & | elem,
|  | OBJECT * | obj,
|  | FUNCTION | func,
|  | REF_MAP & | id_map
| ) |

template<typename VALUE, typename DATA>
void process_element_attributes | ( | DOMNamedNodeMap * | named_node_map,
|  | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | VALUE | value,
|  | DATA & | data,
|  | Process_Function< DATA > * | func,
|  | REF_MAP & | id_map
| ) |

template<typename DATA, typename OBJECT, typename ELEMENT, typename FUNCTION>
bool process_element_remote | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | DOMNode * | node,
|  | XStr & | node_name,
|  | const char * | name,
|  | ELEMENT & | elem,
|  | FUNCTION | func,
|  | REF_MAP & | id_map
| ) |

template<typename DATA, typename SEQUENCE, typename FUNCTION>
bool process_sequence_common | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | DOMNode * | node,
|  | XStr & | node_name,
|  | const char * | name,
|  | SEQUENCE & | seq,
|  | FUNCTION | func,
|  | REF_MAP & | id_map
| ) |

template<typename DATA, typename OBJECT, typename SEQUENCE, typename FUNCTION>
bool process_sequence_local | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | DOMNode * | node,
|  | XStr & | node_name,
|  | const char * | name,
|  | SEQUENCE & | seq,
|  | OBJECT * | obj,
|  | FUNCTION | func
| ) |

template<typename DATA, typename OBJECT, typename SEQUENCE, typename FUNCTION>
bool process_sequence_remote | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | DOMNode * | node,
|  | XStr & | node_name,
|  | const char * | name,
|  | SEQUENCE & | seq,
|  | FUNCTION | func,
|  | REF_MAP & | id_map
| ) |

template<typename SEQUENCE, typename DATA>
void process_sequential_element | ( | DOMNode * | node,
|  | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | SEQUENCE & | seq,
|  | Process_Function< DATA > * | func,
|  | REF_MAP & | id_map
| ) |